#ifndef TRIE_HASH_pkgTagHash
#define TRIE_HASH_pkgTagHash
#include <stddef.h>
#include <stdint.h>
#include <apt-pkg/tagfile.h>
enum class pkgTagSection::Key {
    Architecture = 0,
    Binary = 1,
    Breaks = 2,
    Bugs = 3,
    Build_Conflicts = 4,
    Build_Conflicts_Arch = 5,
    Build_Conflicts_Indep = 6,
    Build_Depends = 7,
    Build_Depends_Arch = 8,
    Build_Depends_Indep = 9,
    Built_For_Profiles = 10,
    Built_Using = 11,
    Checksums_Md5 = 12,
    Checksums_Sha1 = 13,
    Checksums_Sha256 = 14,
    Checksums_Sha512 = 15,
    Class = 16,
    Conffiles = 17,
    Config_Version = 18,
    Conflicts = 19,
    Depends = 20,
    Description = 21,
    Description_md5 = 22,
    Directory = 23,
    Dm_Upload_Allowed = 24,
    Enhances = 25,
    Essential = 26,
    Files = 28,
    Filename = 27,
    Format = 29,
    Homepage = 30,
    Important = 31,
    Installed_Size = 32,
    Installer_Menu_Item = 33,
    Kernel_Version = 34,
    MD5sum = 36,
    MSDOS_Filename = 37,
    Maintainer = 35,
    Multi_Arch = 38,
    Optional = 39,
    Origin = 40,
    Original_Maintainer = 41,
    Package = 42,
    Package_List = 43,
    Package_Revision = 45,
    Package_Type = 46,
    Package__Revision = 44,
    Pre_Depends = 47,
    Priority = 48,
    Provides = 49,
    Recommended = 50,
    Recommends = 51,
    Replaces = 52,
    Revision = 53,
    SHA1 = 55,
    SHA256 = 56,
    SHA512 = 57,
    Section = 54,
    Size = 58,
    Source = 59,
    Standards_Version = 60,
    Status = 61,
    Subarchitecture = 62,
    Suggests = 63,
    Tag = 64,
    Task = 65,
    Testsuite = 66,
    Testsuite_Triggers = 67,
    Triggers_Awaited = 68,
    Triggers_Pending = 69,
    Uploaders = 70,
    Vcs_Bzr = 74,
    Vcs_Cvs = 75,
    Vcs_Git = 77,
    Vcs_Hg = 78,
    Vcs_Mtn = 79,
    Vcs_Svn = 80,
    Vcs_Arch = 71,
    Vcs_Browse = 72,
    Vcs_Browser = 73,
    Vcs_Darcs = 76,
    Version = 81,
    Unknown = -1,
};
 enum pkgTagSection::Key pkgTagHash(const char *string, size_t length);
#endif                       /* TRIE_HASH_pkgTagHash */
